]> git.wincent.com - wikitext.git/blobdiff - README.rdoc
Auto-initialize under Rails 3
[wikitext.git] / README.rdoc
index 647436c9ef12530feed86deb34b0e3a1fa27571e..5c08a13330d8855c6d0a3bb8980c76bbaf6c814c 100644 (file)
@@ -34,7 +34,7 @@ of design goals flowed on from this:
   printable ASCII in a compatible fashion
 * _attractive_: the emitted HTML source should be consistent and attractive
 * <em>valid output</em>: regardless of the input, the translator should
-  always produce valid XHTML output
+  always produce valid HTML5 output
 * <em>well-tested</em>: the translator should have a comprehensive test
   suite to ensure that its behaviour is not only correct but also stable
   over time
@@ -134,6 +134,9 @@ backtick (`) as a shorthand. These two are equivalent:
   <tt>fixed</tt>
   `fixed`
 
+As of version 2.0, this markup is actually translated to +code+ tags
+in the output because the +tt+ tag was removed from the HTML5 standard.
+
 If you need to insert a literal backtick in your text you use a +nowiki+
 span:
 
@@ -324,15 +327,10 @@ in your <tt>config/environment.rb</tt>:
 
 Add a line like the following to your Gemfile:
 
-  gem 'wikitext'
-
-At the time of writing, it appears that Rails 3 and Bundler do not
-automatically call the <tt>rails/init.rb</tt> file any more, so it is necessary
-to explicitly activate the Rails support (the template handler, +to_wikitext+
-and +w+ methods, and +shared_parser+ instance) by adding a line like this
-to a file under <tt>config/initializers</tt>:
+  gem 'wikitext', '>= 2.0'
 
-  require 'wikitext/rails'
+Note that while older versions of Wikitext do work with Rails 3 to some degree,
+for full compatibility Wikitext version 2.0 or higher should be used.
 
 = Links